#include<iostream>
using namespace std;
int main(){
    int c;
    cin>>c;
    int h=0;
   int a[c]={};
   for(int i=0; i<c; i++){cin>>a[i];}

   for(int i=0; i<c-1; i++){
      for(int j=0; j<c-1; j++){
        if((a[i]<a[j] && a[i]<a[j-1]) ||(a[j]<a[i] && a[j]<a[i+2]) ||(a[j]<a[i] && a[j]<a[i-2])   ){
           h++;
        }
      }
   }
   cout<<h<<endl;
    return 0;
}

